package com.bytedance.android.message;

import X.14D;
import X.2Pr;
import X.C2175GVc;
import X.C2819GiK;
import X.C3553GuA;
import X.Ls2;
import X.LsC;
import X.M12;
import android.content.Context;
import android.view.View;
import com.bytedance.android.livesdk.model.message.RemindMessage;
import com.bytedance.android.livesdk.ui.BaseFragment;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.ss.ugc.live.sdk.message.interfaces.EventListener;
import com.ss.ugc.live.sdk.message.interfaces.IMessageManager;

public class MessageServiceDummy implements IMessageService {
    static {
        Covode.recordClassIndex(22611);
    }

    public void addOnMessageParsedListener(C2819GiK giK) {
        M12.LIZ(giK);
    }

    public C2175GVc configInteractionMessageHelper(BaseFragment baseFragment, DataChannel dataChannel, 14D r4, View view, LsC<? super Boolean, 2Pr> lsC, LsC<? super RemindMessage, 2Pr> lsC2, Ls2<Boolean> ls2, Ls2<2Pr> ls22) {
        M12.LIZ(baseFragment, dataChannel, view, ls2, ls22);
        return null;
    }

    public IMessageManager get(long j) {
        return null;
    }

    public IMessageManager get(Context context, long j, long j2) {
        return null;
    }

    public Class<? extends C3553GuA> getMessageClass(String str) {
        return null;
    }

    public IMessageManager messageManagerProvider(long j, boolean z, Context context) {
        return null;
    }

    public void onInit() {
    }

    public EventListener provideEventListener() {
        return null;
    }

    public void release(long j) {
    }

    public void releaseAll() {
    }

    public void removeOnMessageParsedListener(C2819GiK giK) {
        M12.LIZ(giK);
    }
}
